org.apache.jmeter.functions

## Class FileWrapper

- java.lang.Object
- - org.apache.jmeter.functions.FileWrapper

    public final class FileWrapper
    extends Object

This class wraps the FileRowColContainer for use across multiple threads.

It does this by maintaining a list of open files, keyed by file name (or alias, if used). A list of open files is also maintained for each thread, together with the current line number.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearAll()`
`static void` `endRow(String file)`
`static String` `getColumn(String file, int col)`
`static int` `getCurrentRow(String file)` Gets the current row number (mainly for error reporting)
`static void` `open(String file, String alias)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### open

    public static void open(String file,
                            String alias)

#### endRow

    public static void endRow(String file)

#### getColumn

    public static String getColumn(String file,
                                   int col)

#### getCurrentRow

    public static int getCurrentRow(String file)

Gets the current row number (mainly for error reporting)

Parameters:
  `file` - name of the file for which the row number is asked
Returns:
  the current row number for this thread, or `-1` if `file` was not opened yet

#### clearAll

    public static void clearAll()